import es
import popuplib
import usermsg

def load():
	es.ServerVar('radio_version', 4.1).makepublic()
	
	Genre = popuplib.create('genre')
	Genre.addline('.::Chose Your Genre::.')
	Genre.addline(' ')
	Genre.addline('->1. Rock')
	Genre.addline('->2. Rap/Hip-Hop')
	Genre.addline('->3. Dance/Techno')
	Genre.addline('->4. Jazz')
	Genre.addline('->5. Country')
	Genre.addline('->6. Oldies')
	Genre.addline(' ')
	Genre.addline('->7. STOP RADIO')
	Genre.addline(' ')
	Genre.addline('->0. Exit/Cancel')
	Genre.menuselect = genre_menuselect
	
	Rock = popuplib.create('rock')
	Rock.addline('.::Rock Stations::.')
	Rock.addline(' ')
	Rock.addline('->1. Modern Rock Alternative')
	Rock.addline('->2. The Buzz - Alt. Rock')
	Rock.addline('->3. The Arrow - Classic Rock')
	Rock.addline('->4. Radio Wazee')
	Rock.addline('->5. WBER 90.5 NY')
	Rock.addline('->6. High Voltage')
	Rock.addline('->7. Positive Rock')
	Rock.addline('->8. 96x - Top Rock')
	Rock.addline(' ')
	Rock.addline('0. Exit/Cancel')
	Rock.menuselect = rock_menuselect
	
	Rap = popuplib.create('rap')
	Rap.addline('.::Rap/Hip-Hop Stations::.')
	Rap.addline(' ')
	Rap.addline('->1. Hot 108 Jamz')
	Rap.addline('->2. Energy Jamz')
	Rap.addline('->3. The Beat')
	Rap.addline('->4. Flow 103')
	Rap.addline(' ')
	Rap.addline('0. Exit/Cancel')
	Rap.menuselect = rap_menuselect
	
	Dance = popuplib.create('dance')
	Dance.addline('.::Dance Stations::.')
	Dance.addline(' ')
	Dance.addline('->1. Trance')
	Dance.addline('->2. Party Radio USA')
	Dance.addline('->3. Chillout Radio')
	Dance.addline('->4. Energy Club Hits')
	Dance.addline('->5. Eurodance')
	Dance.addline(' ')
	Dance.addline('0. Exit/Cancel')
	Dance.menuselect = dance_menuselect
	
	Jazz = popuplib.create('jazz')
	Jazz.addline('.::Jazz Stations::.')
	Jazz.addline(' ')
	Jazz.addline('->1. The Breeze')
	Jazz.addline('->2. Sky FM Jazz')
	Jazz.addline('->3. Modern Jazz')
	Jazz.addline(' ')
	Jazz.addline('0. Exit/Cancel')
	Jazz.menuselect = jazz_menuselect
	
	Country = popuplib.create('country')
	Country.addline('.::Country Stations::.')
	Country.addline(' ')
	Country.addline('->1. Sky FM Country')
	Country.addline('->2. Kickin\' Country')
	Country.addline('->3. Classic Country')
	Country.addline('->4. Bluegrass')
	Country.addline(' ')
	Country.addline('0. Exit/Cancel')
	Country.menuselect = country_menuselect
	
	Oldies = popuplib.create('oldies')
	Oldies.addline('.::Oldies Stations::.')
	Oldies.addline(' ')
	Oldies.addline('->1. Awesome 80s')
	Oldies.addline('->2. 80s HairBand\'s')
	Oldies.addline('->3. Star 181 - 90s')
	Oldies.addline('->4. Great Oldies')
	Oldies.addline(' ')
	Oldies.addline('0. Exit/Cancel')
	Oldies.menuselect = oldies_menuselect
	
	es.msg('Radio by Undead has been loaded!')
	
def unload():
	popuplib.delete('genre')
	popuplib.delete('rock')
	popuplib.delete('rap')
	popuplib.delete('dance')
	popuplib.delete('jazz')
	popuplib.delete('country')
	popuplib.delete('oldies')
	
	es.msg('Radio by Undead has been unloaded!')
	
def genre_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == 1:
		popuplib.send('rock', userid)
	if choice == 2:
		popuplib.send('rap', uesrid)
	if choice == 3:
		popuplib.send('dance', userid)
	if choice == 4:
		popuplib.send('jazz', userid)
	if choice == 5:
		popuplib.send('country', userid)
	if choice == 6:
		popuplib.send('oldies', userid)
	if choice == 7:
		usermsg.motd(userid, 2, 'Stop Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/index.html')
	
	
def rock_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == 1:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/modernrock.html')
	if choice == 2:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/altrock.html')
	if choice == 3:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/classicrock.html')
	if choice == 4:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/radiowazee.html')
	if choice == 5:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/wber.html')
	if choice == 6:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/hardrock.html')
	if choice == 7:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/positiverock.html')
	if choice == 8:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/96x.html')

def rap_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == 1:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/hot108jamz.html')
	if choice == 2:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/energyjamz.html')
	if choice == 3:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/hiphop.html')
	if choice == 4:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/flow103.html')
		
def dance_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == 1:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/dance.html')
	if choice == 2:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/partyusa.html')
	if choice == 3:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/chillout.html')
	if choice == 4:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/energyclub.html')
	if choice == 5:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/eurodance.html')
		
def jazz_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == 1:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/jazz.html')
	if choice == 2:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/skyfm.html')
	if choice == 3:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/modernjazz.html')
	
def country_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == 1:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/country.html')
	if choice == 2:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/kickin.html')
	if choice == 3:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/classiccountry.html')
	if choice == 4:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/bluegrass.html')
	
def oldies_menuselect (userid, choice, popupid):
	name = es.getplayername(userid)
	if choice == 1:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/awesome80s.html')
	if choice == 2:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/80shairbands.html')
	if choice == 3:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/star181.html')
	if choice == 4:
		usermsg.motd(userid, 2, 'Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/greatoldies.html')
	
def es_player_chat(ev):
	if ev['text'] == '!radio':
		popuplib.send('genre', ev['userid'])
	if ev['text'] == '!stop':
		usermsg.motd(userid, 2, 'Stop Radio', 'http://www.s169939360.onlinehome.us/eloric/radio/index.html')

def round_start(ev):
	es.msg('#green', 'This server is running Radio Version %s' %es.ServerVar('radio_version'))
	es.msg('#green', 'Type !radio to open radio, and type !stop to stop it')